var WebpackDevServer, defaultConfigs, defaultConfigurator, path, requireModule, ruui, webpack, webpackConfigs;
path = require("path");
webpackConfigs = require("./webpack.config");
({
  ruui
} = require("../util/configs"));
({
  requireModule
} = require("../util/modules"));
webpack = requireModule("webpack");
WebpackDevServer = requireModule("webpack-dev-server");

defaultConfigurator = function (baseConfig) {
  return baseConfig;
};

defaultConfigs = function () {
  var env, optimizeMode, port, publicPath;
  env = ruui.env();
  publicPath = ruui.publicPath(env);
  optimizeMode = ruui.optimizeMode();
  port = ruui.port();
  return {
    publicPath: publicPath,
    port: port,
    contentBase: "ruui",
    hot: true,
    historyApiFallback: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
      'Access-Control-Allow-Methods': 'GET, POST, PUT, DELETE, PATCH, OPTIONS',
      'Access-Control-Allow-Headers': 'X-Requested-With, content-type, Authorization'
    },
    stats: {
      all: true,
      assets: optimizeMode,
      colors: true,
      version: true,
      hash: optimizeMode,
      timings: true,
      chunks: optimizeMode,
      performance: optimizeMode,
      modules: optimizeMode,
      moduleTrace: optimizeMode,
      modulesSort: "size",
      chunkModules: optimizeMode,
      chunkOrigins: optimizeMode,
      cached: true,
      error: true,
      cachedAssets: optimizeMode
    },
    quiet: !optimizeMode,
    noInfo: !optimizeMode,
    overlay: true
  };
};

module.exports = function () {
  var compiler, configurator, devServerConfigs;
  compiler = webpack(webpackConfigs());
  configurator = ruui.dev || defaultConfigurator;
  devServerConfigs = configurator(defaultConfigs());
  return new WebpackDevServer(compiler, devServerConfigs);
};
//# sourceMappingURL=webpack.devserver.js.map